unit UFaturamento;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TFormCalcular = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    Edit1: TEdit;
    Edit2: TEdit;
    BitBtn2: TBitBtn;
    Label3: TLabel;
    Edit3: TEdit;
    Label4: TLabel;
    Edit4: TEdit;
    BitBtn3: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure Edit1Enter(Sender: TObject);
    procedure Edit1Exit(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure Edit2KeyPress(Sender: TObject; var Key: Char);
    procedure Edit3KeyPress(Sender: TObject; var Key: Char);
    procedure Edit2Enter(Sender: TObject);
    procedure Edit2Exit(Sender: TObject);
    procedure Edit3Enter(Sender: TObject);
    procedure Edit3Exit(Sender: TObject);
  private
    { Private declarations }
  Pres, Res: Real;

  public
    { Public declarations }
  end;

var
  FormCalcular: TFormCalcular;

implementation

uses URecibo;

{$R *.dfm}

procedure TFormCalcular.BitBtn1Click(Sender: TObject);
Var Se, Va, X, Y: Real;
begin
If Edit1.Text=''Then
Begin
Application.MessageBox('Informe o Valor do produto ou servio?','Ateno',MB_ICONEXCLAMATION);
Edit1.SetFocus;
end
else
If Edit2.Text=''Then
Begin
Application.MessageBox('Informe o Valor da Mo-de-Obra?','Ateno',MB_ICONEXCLAMATION);
Edit2.SetFocus;
end
else
If Edit3.Text=''Then
Begin
Application.MessageBox('Informe o Valor o Desconto?','Ateno',MB_ICONEXCLAMATION);
Edit3.SetFocus;
end
else
Begin
Pres:=0;
Se:=StrToFloat(Edit1.Text);
X:=StrToFloat(Edit2.Text);
Y:=StrToFloat(Edit3.Text);
Res:=Res+Se+X-Y;
Va:=Res-Pres;
Edit4.Text:=FormatFloat('###,###,##0.00',Va);
BitBtn1.Enabled:=False;
Exit;
end;
end;

procedure TFormCalcular.BitBtn2Click(Sender: TObject);
Var Se, Va, X, Y: Real;
begin
FormRecibo.BitBtn2.Enabled:=True;
FormRecibo.MainMenu1.Items[0].Items[1].Enabled:=True;
Edit1.SetFocus;
FormRecibo.Edit2.Text:=Edit4.Text;
FormRecibo.Edit4.Text:=Edit4.Text;
FormRecibo.EdiValorPeca.Text:=Edit1.Text;
FormRecibo.EdiMaoObra.Text:=Edit2.Text;
FormRecibo.EdiDesconto.Text:=Edit3.Text;
Pres:=0;
Res:=0;
Va:=0;
Se:=0;
x:=0;
Y:=0;
Edit1.Text:='';
Edit2.Text:='';
Edit3.Text:='';
Edit4.Text:='';
Bitbtn1.Enabled:=true;
Close;
end;



procedure TFormCalcular.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
 If Not (Key in ['0'..'9',',',#8,#13]) Then
    Begin
      Key:=#0;
      Beep;
    end;

 If (Key=#13) Then
 Edit2.SetFocus;

end;

procedure TFormCalcular.Edit1Enter(Sender: TObject);
begin
Edit1.Color:=ClInfoBk;
end;

procedure TFormCalcular.Edit1Exit(Sender: TObject);
begin
Edit1.Color:=ClWindow;
    If Edit1.Text='0' Then
    Edit1.Text:='0,00';
end;

procedure TFormCalcular.FormClose(Sender: TObject;
  var Action: TCloseAction);
  Var Se, Va: Real;
begin
Pres:=0;
Res:=0;
Va:=0;
Se:=0;
Edit1.Text:='';
Edit2.Text:='';
Edit3.Text:='';
Edit4.Text:='';
Close;
end;

procedure TFormCalcular.FormShow(Sender: TObject);
begin
Edit1.SetFocus;
end;

procedure TFormCalcular.BitBtn3Click(Sender: TObject);
Var Se, Va, X, Y: Real;
begin
Pres:=0;
Res:=0;
Va:=0;
Se:=0;
x:=0;
Y:=0;
Edit1.Text:='';
Edit2.Text:='';
Edit3.Text:='';
Edit4.Text:='';
Bitbtn1.Enabled:=true;
end;

procedure TFormCalcular.Edit2KeyPress(Sender: TObject; var Key: Char);
begin
    If Not (Key in ['0'..'9',',',#8,#13]) Then
    Begin
      Key:=#0;
      Beep;
    end;

    If (Key=#13) Then
    Edit3.SetFocus;
end;

procedure TFormCalcular.Edit3KeyPress(Sender: TObject; var Key: Char);
begin
    If Not (Key in ['0'..'9',',',#8,#13]) Then
    Begin
      Key:=#0;
      Beep;
    end;

    If (Key=#13) Then
    BitBtn1.Click;
end;

procedure TFormCalcular.Edit2Enter(Sender: TObject);
begin
Edit2.Color:=ClInfoBk;
end;

procedure TFormCalcular.Edit2Exit(Sender: TObject);
begin
Edit1.Color:=ClWindow;
    If Edit2.Text='0' Then
    Edit2.Text:='0,00';
end;

procedure TFormCalcular.Edit3Enter(Sender: TObject);
begin
Edit3.Color:=ClInfoBk;
end;

procedure TFormCalcular.Edit3Exit(Sender: TObject);
begin
Edit3.Color:=ClWindow;
    If Edit3.Text='0' Then
    Edit3.Text:='0,00';
end;

end.
